---- #########################################################################
---- #                                                                       #
---- # rssi et batterie                       #
---- # edition du 25/11/20                                                   #
---- #                                                                       #
---- #########################################################################

local Bitmaps30 = {}
local Bitmaps40 = {}
local COMBO = 1
local options = {
  { "TextColor", COLOR, WHITE },
  { "Lipo", BOOL, 0},
  {"RSSI", BOOL,0},
  }

local function create(zone, options)
  local wgt  = { zone=zone, options=options}
   return wgt
end

local function update(wgt, options)
  if (wgt==nil) then
    print("update(nil)")
    return
  end
  wgt.options = options
end

local function background(wgt)
  return
end

------------------------------------------------------------




-- This size is for top bar wgts
local function refreshZoneTiny(wgt)
    local batterie = string.format("%.1f",getValue('tx-voltage'))
	local valbat = getValue('tx-voltage')
	local visu = getValue('sh')   -------------------------SH
	local affiche = "TBD"
	local lipo = wgt.options.Lipo
	local rssi = wgt.options.RSSI
	local seuil1 = 0
	local seuil2 = 0
	if lipo == 1 then  affiche = "LIPO"
	seuil1 = 7.0
	seuil2 = 6.4
	else affiche = "NIMH"
	seuil1 = 9.2
	seuil2 = 8.6
	end

	if rssi == 1 then
	lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor)
	lcd.drawText(wgt.zone.x, wgt.zone.y + 1 , "RSSI", SMLSIZE + CUSTOM_COLOR)
	lcd.drawText(wgt.zone.x + 30, wgt.zone.y + 0, " "..getValue('RSSI'), 0 + CUSTOM_COLOR)
	
		if visu > 10 then 
		lcd.setColor(TEXT_COLOR, WHITE)
		lcd.drawText(wgt.zone.x +0 ,wgt.zone.y + 20," "..affiche ,SMLSIZE + TEXT_COLOR) -- type de batterie
		else	
			if valbat > seuil1 then lcd.setColor(TEXT_COLOR, 2016) --vert
			elseif valbat < seuil2 then lcd.setColor(TEXT_COLOR, RED)
			else	lcd.setColor(TEXT_COLOR, 65037) ---orange
			end 
		lcd.drawText(wgt.zone.x, wgt.zone.y + 21 , "BAT", SMLSIZE + TEXT_COLOR)
		lcd.drawText(wgt.zone.x + 30, wgt.zone.y + 20, " "..batterie, 0 + TEXT_COLOR)
		end
	else
		if visu > 10 then 
		lcd.setColor(TEXT_COLOR, WHITE)
		lcd.drawText(wgt.zone.x +0 ,wgt.zone.y + 20," "..affiche ,SMLSIZE + TEXT_COLOR) -- type de batterie
		else	
		if valbat > seuil1 then lcd.setColor(TEXT_COLOR, 2016) --vert
		elseif valbat < seuil2 then lcd.setColor(TEXT_COLOR, RED)
		else	lcd.setColor(TEXT_COLOR, 65037) ---orange
		end 
		lcd.drawText(wgt.zone.x, wgt.zone.y -3 , "BAT", 0 + TEXT_COLOR)
		lcd.drawText(wgt.zone.x + 0, wgt.zone.y + 10, " "..batterie, DBLSIZE + TEXT_COLOR)
		end
	end
   -----------------------------------------------------------------------------------

	lcd.setColor(TEXT_COLOR, BLACK) 
	---------------------------------------------------------------------------------
  
end

--- Size is 160x32 1/8th
local function refreshZoneSmall(wgt)
  
  
end

--- Size is 225x98 1/4th  (no sliders/trim)
local function refreshZoneMedium(wgt)
  
end

--- Size is 192x152 1/2
local function refreshZoneLarge(wgt)

end

--- Size is 390x172 1/1
--- Size is 460x252 1/1 (no sliders/trim/topbar)
local function refreshZoneXLarge(wgt)

end


function refresh(wgt)

  if (wgt==nil) then
    print("refresh(nil)")
    return
  end

  if (wgt.options==nil) then
    print("refresh(wgt.options=nil)")
    return
  end

  lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor)

  if     wgt.zone.w  > 380 and wgt.zone.h > 165 then refreshZoneXLarge(wgt)
  elseif wgt.zone.w  > 180 and wgt.zone.h > 145 then refreshZoneLarge(wgt)
  elseif wgt.zone.w  > 170 and wgt.zone.h >  65 then refreshZoneSmall(wgt)
  elseif wgt.zone.w  > 150 and wgt.zone.h >  28 then refreshZoneSmall(wgt)
  elseif wgt.zone.w  >  65 and wgt.zone.h >  35 then refreshZoneTiny(wgt)
  end
   lcd.setColor(TEXT_COLOR, BLACK) 
   lcd.setColor(CUSTOM_COLOR, BLACK)
end

return { name="rssibat", options=options, create=create, update=update, background=background, refresh=refresh }
