---- #########################################################################
---- #timer 3                                                                #
---- # edition du 25/11/20                                                   #
---- #                                                                       #
---- #########################################################################

local options = {
  { "TextColor1", COLOR, BLACK },
  { "flight", VALUE, 1, 1, 3},
  { "TextColor2", COLOR, YELLOW },
  { "engine", VALUE, 1, 1, 3},
  { "size_color", VALUE,-1,-8,8},
  }

local function create(zone, options)
  local wgt  = { zone=zone, options=options}
  return wgt
end

local function update(wgt, options)
  if (wgt==nil) then
    print("update(nil)")
    return
  end
  wgt.options = options
  print("TimerNumB:" .. options.flight)
end

local function background(wgt)
  return
end

------------------------------------------------------------

-- This size is for top bar wgts
local function refreshZoneTiny(wgt)
end

--- Size is 160x32 1/8th
local function refreshZoneSmall(wgt)
 
end

--- Size is 225x98 1/4th  (no sliders/trim)
local function refreshZoneMedium(wgt)
  local t1 = model.getTimer(wgt.options.flight-1)
  local t2 = model.getTimer(wgt.options.engine-1)
  local option = wgt.options.size_color




		if wgt.options.size_color == -2  then lcd.setColor(CUSTOM_COLOR, WHITE)
	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
  	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
		elseif wgt.options.size_color == -3  then lcd.setColor(CUSTOM_COLOR, BLACK)
		lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
  	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
		elseif wgt.options.size_color == -4  then lcd.setColor(CUSTOM_COLOR, RED)
		lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
		elseif wgt.options.size_color == -5  then lcd.setColor(CUSTOM_COLOR, YELLOW)
		lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
  	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
		elseif wgt.options.size_color == -6  then lcd.setColor(CUSTOM_COLOR, 2016)
		lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
  	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
		elseif wgt.options.size_color == -7 then lcd.setColor(CUSTOM_COLOR, 2047)
		lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
  	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
		elseif wgt.options.size_color == -8  then lcd.setColor(CUSTOM_COLOR, 65037)
		lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
  	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
		else 
		lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor2)
	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 55,"Mot:", 0 + CUSTOM_COLOR)
	lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor1)
	lcd.drawText(wgt.zone.x +35, wgt.zone.y + 15 ," Vol :", 0 + CUSTOM_COLOR)
		end
    lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor2)
	lcd.drawTimer(wgt.zone.x + 85, wgt.zone.y + 40 , t2.value, DBLSIZE + CUSTOM_COLOR)
	lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor1)
	lcd.drawTimer(wgt.zone.x + 85, wgt.zone.y, t1.value, DBLSIZE + CUSTOM_COLOR)

  
 
 
  return
end

--- Size is 192x152 1/2
local function refreshZoneLarge(wgt)
   local t1 = model.getTimer(wgt.options.flight-1)
   local t2 = model.getTimer(wgt.options.engine-1)
    local option = wgt.options.size_color
	
	
		if wgt.options.size_color == 2  then lcd.setColor(CUSTOM_COLOR, WHITE)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		elseif wgt.options.size_color == 3  then lcd.setColor(CUSTOM_COLOR, BLACK)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		elseif wgt.options.size_color == 4  then lcd.setColor(CUSTOM_COLOR, RED)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		elseif wgt.options.size_color == 5  then lcd.setColor(CUSTOM_COLOR, YELLOW)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		elseif wgt.options.size_color == 6  then lcd.setColor(CUSTOM_COLOR, 2016)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		elseif wgt.options.size_color == 7 then lcd.setColor(CUSTOM_COLOR, 2047)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		elseif wgt.options.size_color == 8  then lcd.setColor(CUSTOM_COLOR, 65037)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		else 
		lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor2)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y + 80,"Mot:", DBLSIZE + CUSTOM_COLOR)
		lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor1)
		lcd.drawText(wgt.zone.x - 5, wgt.zone.y -5 ," Vol :", DBLSIZE + CUSTOM_COLOR)	
		end	
		lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor1)
		lcd.drawTimer(wgt.zone.x + 5, wgt.zone.y + 20, t1.value, XXLSIZE + CUSTOM_COLOR)
		lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor2)
		lcd.drawTimer(wgt.zone.x + 5, wgt.zone.y + 100, t2.value, XXLSIZE + CUSTOM_COLOR)
	  
  return
end

--- Size is 390x172 1/1
--- Size is 460x252 1/1 (no sliders/trim/topbar)
local function refreshZoneXLarge(wgt)
 
end


function refresh(wgt)
  local option = wgt.options.size_color
  if (wgt==nil) then
    print("refresh(nil)")
    return
  end

  if (wgt.options==nil) then
    print("refresh(wgt.options=nil)")
    return
  end

  if (wgt.options.flight==nil) then
    print("refresh(wgt.options.flight=nil)")
    return
  end
	
 lcd.setColor(TEXT_COLOR, wgt.options.TextColor1)
 lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor1) 

  if     wgt.zone.w  > 380 and wgt.zone.h > 165 then refreshZoneXLarge(wgt)
  elseif wgt.zone.w  > 180 and wgt.zone.h > 145 then refreshZoneLarge(wgt)
  elseif wgt.zone.w  > 170 and wgt.zone.h >  65 then 
	 if option > 0 then refreshZoneLarge(wgt)---------------------------
	 else refreshZoneMedium(wgt)
	 end
  elseif wgt.zone.w  > 150 and wgt.zone.h >  28 then 
	if option > 0 then refreshZoneLarge(wgt)------------------------
	else refreshZoneMedium(wgt)
	end
  elseif wgt.zone.w  >  65 and wgt.zone.h >  35 then refreshZoneTiny(wgt)
  end
   lcd.setColor(TEXT_COLOR, BLACK) 
    lcd.setColor(CUSTOM_COLOR, BLACK)
end

return { name="Timer3", options=options, create=create, update=update, background=background, refresh=refresh }
