---- #########################################################################
---- # altitude et vitesse
---- # edition du 6/12/20                                                   #
---- #                                                                       #
---- #########################################################################





local Bitmaps40 = {}
local SpeedMax = 0
local altzero = 0
local AltMax = 0
local oldAlt = 0 
local deltaalt = 0 
local Context = { pointsalt={},pointspeed={} }
local _maxPoints = 90
local lastvalue = 0
local width = 10
local height = 10
local delay = 60
local lastTime = 0
local index =1
local speed = 0
value = 0
-----------------------------------------
local options = {
  { "TextColor", COLOR, BLACK },
  { "switch_affichage", SOURCE, 110},
  { "value_color", COLOR, YELLOW},
  { "XL_size", BOOL, 0},
  { "theme", VALUE ,1,0,27},
  }

local function create(zone, options)
  local widget  = { zone=zone, options=options}
   return widget
end

local function update(widget, options)
  if (widget==nil) then
    print("update(nil)")
    return
  end
  widget.options = options
end

local function background(widget)
  return
end

------------------------------------------------------------

local function getArmedStatus(widget)
  local value = getValue(widget.options.switch_affichage)
  return value 
end

local function updatecourbe( widget)
	
	local step =0
	local reset = getValue('ls59')
	if reset > 100 then  index = 1 end
	if reset > 100 then  altzero = getValue('GAlt')
	 --if reset > 100 then  altzero = getValue('thr')/ 10  
	oldAlt = 0
	end 
	 
	local step  =  getValue('ls60')
	 
	 if step > 100   then step = 0 
	 else step = 1
	 end
	
	time = getTime()
    local valuedelay = getValue(widget.options.switch_affichage)
	newdelay = delay
	if valuedelay <  10 then newdelay =  1000 end
	
	if time > lastTime + newdelay then
		
		  local valuealt = oldAlt
		  
       
	   
		 local valuev = speed 
      
	

		lastTime = time

		if index < _maxPoints or  step == 0 then
			Context.pointsalt[index] = valuealt 
			Context.pointspeed[ index] = valuev
			index = index + step
		else
			for i=1,_maxPoints - 1,1 do
				Context.pointsalt[i - 1] = Context.pointsalt[i]
				Context.pointspeed[i - 1] = Context.pointspeed[i]
			end
			Context.pointsalt[_maxPoints - 1] = valuealt
			Context.pointspeed[_maxPoints - 1] = valuev
		end
		
	end
	
	
end




local function drawGraphealt(Context,widget)
local theme_bg = {
	[0] = vide,
 	[1] = vide,
 	[2] = vide,
	[3] = vide,
 	[4] = vide,
 	[5] = GREY,
 	[6] = GREY,
 	[7] = GREY,
 	[8] = '27307', -- marron rouge
 	[9] = '27371',  -- marron 
 	[10] = '52273', -- marron rose
	[11] = '52179', --marron
 	[12] = '12676',--marron vert
 	[13] = '1102',--vert
 	[14] = '911',--vert
 	[15] = '811',--vert
	[16] = '23403',
 	[17] = GREY,
 	[18] = GREY,
 	[19] = '66186',
 	[20] = '67945',
 	[21] = '71748',
	[22] = '67971',
 	[23] = '66352',
 	[24] = '15574',
 	[25] = '67971',--nuit
 	[26] = '51874',
 	[27] = '54666', -- gris vert
 	}

local theme_alt = {
	[0] = WHITE,
 	[1]  = RED,
 	[2] =  YELLOW,
	[3] =  WHITE,
 	[4] =  YELLOW,
 	[5]  = WHITE,
 	[6] = YELLOW,
 	[7]  = BLACK,
 	[8] = YELLOW,
 	[9] = YELLOW,
 	[10] = '68186', --bleu clair
	[11] = '68186', --bleu clair
 	[12] = YELLOW,
 	[13] = BLACK,
 	[14] = WHITE,
 	[15] = BLACK,
 	[16] = WHITE,
	[17] = RED,
 	[18] = YELLOW,
 	[19] = RED,
 	[20] = YELLOW,
 	[21] = RED,
	[22] = YELLOW,
 	[23] = RED,
 	[24] = WHITE,
 	[25] = WHITE,--nuit
 	[26] = WHITE,
 	[27] = BLACK,  
 	}

   
	local x = widget.zone.x
	local y = widget.zone.y
	local xPos = 0
	local yPos = 0   
	
	
	lcd.setColor(TEXT_COLOR, widget.options.TextColor)
	
	 
	if  widget.options.theme  >4 then 
	lcd.setColor(TEXT_COLOR,theme_bg[widget.options.theme])
	lcd.drawFilledRectangle(x, y, width, height,TEXT_COLOR)  ---*************************************
	end
	
	 lcd.drawLine(x, y, x, y + height, SOLID, TEXT_COLOR)
	 lcd.drawLine(x, y + height, x + width, y + height, SOLID, TEXT_COLOR)
	
	lcd.setColor(TEXT_COLOR,theme_alt[widget.options.theme])
	
	
	
	
	 

	local dataMin = Context.pointsalt[1]
	local dataMax = Context.pointsalt[1]
	 

	for i=1, index - 1,1 do
		if( Context.pointsalt[i] > dataMax) then
			dataMax = Context.pointsalt[i]
		end
	end

	for i=1, index - 1,1 do
		if( Context.pointsalt[i] < dataMin) then
			dataMin = Context.pointsalt[i]
		end
	end

	local maxValue = 2 
	local minValue = 0

	
		if(dataMin < minValue) then minValue = dataMin end
		if(dataMax > maxValue) then maxValue = dataMax end
	

	local range = (maxValue - minValue) 
	if range == 0 then 	range = 1 end 
	
	
	local ratio = (height / range)
	local previous_xPos = x
	
	
	
	local zeroPos =y + height * 0.1 +(maxValue )* ratio * 0.8

	if minValue < 1 and maxValue > 0 then
	    yPos = y + (maxValue ) * (height / range * 0.8) + (height * 0.1)
		lcd.drawLine(x, zeroPos  , x + width, zeroPos, DOTTED, TEXT_COLOR)
		
	end

	local previous_yPos =  zeroPos
	
	
	
	
	for i=1, index - 1,1 do
		  
		xPos = x + (i * (width / _maxPoints)) 
        yPos = y + height * 0.1 +(maxValue - Context.pointsalt[i])* ratio * 0.8
		
		lcd.drawLine(previous_xPos , previous_yPos,xPos , yPos, SOLID, TEXT_COLOR)
		if height > 100 then
		
		
		 lcd.drawLine(previous_xPos , previous_yPos - 1, xPos ,  yPos - 1, SOLID, TEXT_COLOR)
		
		end
		previous_xPos =xPos
		previous_yPos = yPos
	end
	
	   	local value = oldAlt
		if height >= 100 then
		    if range >= 10 then
			lcd.drawNumber(x  , y + 30, value  , TEXT_COLOR + LEFT  )
			lcd.drawNumber(x - 1 , y + 31, value , TEXT_COLOR + LEFT  )
			lcd.drawNumber(x  , y + 1, maxValue  , TEXT_COLOR + LEFT   )
			lcd.drawNumber(x  , y + height - 17, minValue  , TEXT_COLOR + LEFT  )
			lcd.drawText(x  , y +14, " Alt", TEXT_COLOR + LEFT)  
		
			else
			lcd.drawNumber(x  , y + 30, value * 10,   TEXT_COLOR + LEFT + PREC1)
			lcd.drawNumber(x - 1, y + 31, value * 10,   TEXT_COLOR + LEFT + PREC1)
			lcd.drawNumber(x  , y + 1, maxValue * 10,  TEXT_COLOR + LEFT + PREC1)
			lcd.drawNumber(x , y + height - 17, minValue * 10,  TEXT_COLOR + LEFT + PREC1)
            lcd.drawText(x   , y +14, "Alt",  TEXT_COLOR + LEFT) 
			
			end
		else 
			if range >= 10 then
				lcd.drawNumber(x  , y + 30, value  ,SMLSIZE + TEXT_COLOR + LEFT  )
				lcd.drawNumber(x - 1, y + 31, value  ,SMLSIZE + TEXT_COLOR + LEFT  )
				lcd.drawNumber(x  , y + 1, maxValue , SMLSIZE +TEXT_COLOR + LEFT  )
				lcd.drawNumber(x  , y + height - 17, minValue , SMLSIZE +TEXT_COLOR + LEFT  )
				lcd.drawText(x   , y +15, "Alt", SMLSIZE +TEXT_COLOR + LEFT) 
				
			else
				lcd.drawNumber(x  , y + 40, value * 10 , SMLSIZE + TEXT_COLOR + LEFT + PREC1)
				lcd.drawNumber(x - 1 , y + 41, value * 10 , SMLSIZE + TEXT_COLOR + LEFT + PREC1) 
				lcd.drawNumber(x  , y + 1, maxValue * 10 , SMLSIZE + TEXT_COLOR + LEFT + PREC1)
				lcd.drawNumber(x  , y + height - 17, minValue * 10 , SMLSIZE + TEXT_COLOR +LEFT + PREC1)
				lcd.drawText(x   , y +20, "Alt", SMLSIZE + TEXT_COLOR + LEFT) 
				
			end
		end

	

end

local function drawGraphespeed(Context,widget)
local theme_vsp = {
	[0]  = BLACK,
 	[1]  = BLACK,
 	[2] = BLACK,
 	[3] = YELLOW,
	[4] = RED,
 	[5]  = YELLOW,
 	[6] = RED,
 	[7]  = WHITE,
 	[8] = RED,
 	[9] = WHITE, 
 	[10] = WHITE,
	[11] = WHITE,
 	[12] = RED,
 	[13] = RED,
 	[14] = BLACK,
 	[15] = RED,
 	[16] = BLACK,
	[17] = WHITE,
 	[18] = WHITE,
 	[19] = WHITE,
 	[20] = RED,
 	[21] = YELLOW,
	[22] = WHITE,
 	[23] = YELLOW,
 	[24] = YELLOW,
 	[25] = YELLOW,
 	[26] = YELLOW,
 	[27] = WHITE, 
 	}
    
	local x = widget.zone.x
	local y = widget.zone.y
	local xPos =0
	local yPos =0
	
	lcd.setColor(TEXT_COLOR,theme_vsp[widget.options.theme])
	
	 

	local dataMin = 20
	local dataMax = -20

	for i=1, index - 1,1 do
		if( Context.pointspeed[i] > dataMax) then
			dataMax = Context.pointspeed[i]
		end
	end

	for i=1, index - 1,1 do
		if( Context.pointspeed[i] < dataMin) then
			dataMin = Context.pointspeed[i]
		end
	end

	local maxValue = 1
	local minValue = 0

	
		if(dataMin < minValue) then minValue = dataMin end
		if(dataMax > maxValue) then maxValue = dataMax end
	

   	local range = (maxValue - minValue)  
	if range == 0 then 	range = 1 end
	
	local ratio = (height / range) 
	local previous_xPos = x
	
	local zeroPos =y + height * 0.1 +(maxValue )* ratio * 0.8
	


	  
		lcd.drawLine(x, zeroPos  , x + width, zeroPos, DOTTED, TEXT_COLOR)
		
	

	local previous_yPos =  zeroPos
		
	for i=1, index - 1,1 do
		
		xPos = x + (i * (width / _maxPoints)) 
       	yPos = y + height * 0.1 +(maxValue - Context.pointspeed[i])* ratio * 0.8
		
        lcd.drawLine(previous_xPos , previous_yPos,xPos , yPos, SOLID, TEXT_COLOR)
		if height > 100 then
		
		 lcd.drawLine(previous_xPos , previous_yPos - 1 , xPos , yPos - 1, SOLID, TEXT_COLOR)
	 
		
		end
		previous_xPos = xPos
		previous_yPos = yPos
	end
	
	 local value = speed 
		if height >= 100 then
		     
			lcd.drawNumber(x + width, y + 30, value * 10, TEXT_COLOR + RIGHT +PREC1)
			lcd.drawNumber(x + width - 1 , y + 31, value * 10, TEXT_COLOR + RIGHT +PREC1)
			lcd.drawNumber(x + width, y + 1, maxValue * 10, TEXT_COLOR + RIGHT + PREC1)
			lcd.drawNumber(x + width, y + height - 17, minValue *10, TEXT_COLOR + RIGHT + PREC1)
			lcd.drawText(x + width , y +14, "Spd", TEXT_COLOR + RIGHT)  
			
			 
		else 
			
				lcd.drawNumber(x + width, y + 30, value  ,SMLSIZE + TEXT_COLOR + RIGHT  )
				lcd.drawNumber(x + width - 1, y + 31, value  ,SMLSIZE + TEXT_COLOR + RIGHT  )
				lcd.drawNumber(x + width, y + 1, maxValue , SMLSIZE +TEXT_COLOR + RIGHT  )
				lcd.drawNumber(x + width, y + height - 17, minValue , SMLSIZE +TEXT_COLOR + RIGHT  )
				lcd.drawText(x + width , y +15, "Spd", SMLSIZE +TEXT_COLOR + RIGHT) 
				
			
		end

	
	   
		local timerange = getValue(widget.options.switch_affichage)
		if timerange <  10 and timerange > -10 then 
		lcd.drawText(x + width -3 , y +height -35, "LT", SMLSIZE +TEXT_COLOR + RIGHT) 
		
		end
		
	 
     local visu = getValue('sh')   -------------------------SH
         if visu > 10 then 
    local vario = widget.options.switch_affichage
	lcd.drawSource(x + width - 55 , y + height - 20,vario  ,0 +TEXT_COLOR + RIGHT) 
	end
	----------------------------------------------------------------------------------------
	 if visu > 10 then 
    --lcd.setColor(TEXT_COLOR, BLACK)
	lcd.drawText( x +25 , y +20 ,"stop ->  60 ON"  ,SMLSIZE + TEXT_COLOR) 
	lcd.drawText( x +25 , y +40 ,"reset -> ls59 ON"  ,SMLSIZE + TEXT_COLOR) 
	end
	
	local reset = getValue('ls59')
	local step  =  getValue('ls60')
	
	
	
	if reset > 100 then 
	lcd.drawText( x +30 , y +40 ,"RESET"  ,SMLSIZE + TEXT_COLOR) 
	end
	local step  =  getValue('ls60')
	if step > 100 then
	lcd.drawText(x + width -30 ,y + height - 17 ,"STB "  ,SMLSIZE + RIGHT +  TEXT_COLOR) 
	else
	lcd.drawText(x + width -30  ,y + height - 15,"ON "  ,SMLSIZE + RIGHT +  TEXT_COLOR) 
	end
	
lcd.setColor(TEXT_COLOR, BLACK)

end

local function calculspeed (widget)
    local altitude = getValue('GAlt') - altzero 
	--local altitude = getValue('thr')/10 - altzero -------------------------------------------------------------------
    oldAlt= (oldAlt * 09 +altitude)/10
	
	
	local vspeed = getValue('GSpd')
	--local vspeed = getValue('rud')/10  -----------------------------------------------------------------------------
    speed = ((speed * 4)+ vspeed )/5
    
   if    speed > SpeedMax then
	SpeedMax =  speed
	end
   
    if SpeedMax > 500 then 
	SpeedMax = 0
	speed = 0
	end
	
      
   
end
--*******************************************************************************************************



--- Size is 160x32 1/8th******************************************************************************
local function refreshZoneSmall(widget)

   local value = getArmedStatus(widget)
   
    
   updatecourbe( widget)

 width = 180
height = 80
-------------------------------------------------------------
  

if value > - 100 then
---------------------------------------------------------------------------zone graph
     
      drawGraphealt(Context ,widget)  
	  drawGraphespeed(Context ,widget)
 
	  

   lcd.setColor(TEXT_COLOR,BLACK)
   
		
 end
 
 
 if value < - 100 then 
 ---------------------------------------------------------------------------zone text
   
	local alt = oldAlt
  
	if   alt > AltMax  then AltMax = alt end
	local reset = getValue('ls59')
   	if reset > 100 then  
	SpeedMax = 0 
	AltMax=0
	end
	if AltMax > 5000 then AltMax = 0 end
-------------------------------------------------------------------------------	
	
	
	lcd.drawBitmap(Bitmaps40[0], widget.zone.x,widget.zone.y +1)
	
	    
	
	lcd.setColor(TEXT_COLOR, widget.options.TextColor)
		
  lcd.drawText(widget.zone.x + 45, widget.zone.y + 25, "SPEED :" , 0 + TEXT_COLOR) 
  lcd.drawText(widget.zone.x + 45, widget.zone.y + 5, "ALT     :" , 0 + TEXT_COLOR)
  lcd.drawText(widget.zone.x + 145, widget.zone.y + 25, "Km/h" , 0 + TEXT_COLOR) 
  lcd.drawText(widget.zone.x - 1 , widget.zone.y + 45, "ALT MAX      :" , 0 + TEXT_COLOR) 
  lcd.drawText(widget.zone.x - 1, widget.zone.y + 60, "SPEED MAX :" , 0 + TEXT_COLOR) 
  lcd.drawText(widget.zone.x + 145, widget.zone.y + 45, "m" , 0 + TEXT_COLOR)
  lcd.drawText(widget.zone.x + 145 , widget.zone.y + 60, "km/h" , 0 + TEXT_COLOR) 
 
  if alt < -20 then  lcd.setColor(TEXT_COLOR, RED)
	elseif alt > 50 then lcd.setColor(TEXT_COLOR, YELLOW)
	else lcd.setColor(TEXT_COLOR, widget.options.value_color)
	end
   
   lcd.drawText(widget.zone.x + 100, widget.zone.y + 28, " "..string.format ("%3.1f",speed), 0 + TEXT_COLOR) 
  lcd.drawText(widget.zone.x + 100, widget.zone.y -5 , " "..string.format("%i",alt), DBLSIZE + TEXT_COLOR)
  lcd.setColor(TEXT_COLOR, widget.options.value_color)
 

  lcd.drawText(widget.zone.x + 100, widget.zone.y + 45, " "..string.format("%i",AltMax), 0 + TEXT_COLOR) 
  lcd.drawText(widget.zone.x + 100 , widget.zone.y + 60, " "..string.format ("%3.1f",SpeedMax), 0 + TEXT_COLOR) 
   
 
   local visu = getValue('sh')   -------------------------SH
   
   
   if visu > 10 then 
    local vario = widget.options.switch_affichage
	lcd.drawSource(widget.zone.x -10 ,widget.zone.y -1,vario  ,SMLSIZE + LEFT) 
	
    end
	
  end
  end

--- Size is 225x98 1/4th  (no sliders/trim)******************************************************************
local function refreshZoneMedium(widget)
   local value = getArmedStatus(widget)
  
   updatecourbe( widget)
   
width = 180
height = 150



 if value > -100 then
---------------------------------------------------------------------------zone graph
  
  drawGraphealt(Context ,widget)  
  drawGraphespeed(Context ,widget) 
  
 
	
   lcd.setColor(TEXT_COLOR,BLACK)
  
	end
 
 if  value < -100 then 
 ---------------------------------------------------------------------------zone text
 
	local alt = oldAlt
    
	if   alt > AltMax  then AltMax = alt end
	local reset = getValue('ls59')
   	if reset > 100 then 
	SpeedMax = 0
	AltMax = 0
	end
	if AltMax > 5000 then AltMax = 0 end
   ----------------------------------------------
 
   
  
  	lcd.drawBitmap(Bitmaps40[0], widget.zone.x,widget.zone.y +1)
	
	local timerange = getValue(widget.options.switch_affichage)
		if timerange < -10 or timerange > 10 then 
		
		lcd.drawText(widget.zone.x + 7 , widget.zone.y + 9, "LT" , 0 + TEXT_COLOR)
	    end
	  

	
	lcd.setColor(TEXT_COLOR, widget.options.TextColor)
		 
	lcd.drawText(widget.zone.x +50, widget.zone.y +  5, "UNIT", 0 + TEXT_COLOR)
	lcd.drawText(widget.zone.x -0, widget.zone.y + 90, "SPEED", 0 + TEXT_COLOR) 
	lcd.drawText(widget.zone.x -0, widget.zone.y + 55, "ALT", 0 + TEXT_COLOR)
	lcd.drawText(widget.zone.x - 0 , widget.zone.y + 125, "ALT MAX  ", 0 + TEXT_COLOR)
    lcd.drawText(widget.zone.x - 0, widget.zone.y + 150, "SPEED MAX  ", 0 + TEXT_COLOR) 
	lcd.drawText(widget.zone.x + 110, widget.zone.y -2, "m" , 0 + TEXT_COLOR)
	lcd.drawText(widget.zone.x + 110 , widget.zone.y + 15, "Km/h" , 0 + TEXT_COLOR)
	
	if alt < -20 then  lcd.setColor(TEXT_COLOR, RED)
	elseif alt > 50 then lcd.setColor(TEXT_COLOR, YELLOW)
	else lcd.setColor(TEXT_COLOR, widget.options.value_color)
	end
   
	lcd.drawText(widget.zone.x + 65, widget.zone.y + 80, ":"..string.format ("%3.1f", speed), DBLSIZE + TEXT_COLOR) 
	lcd.drawText(widget.zone.x + 55, widget.zone.y + 20, ":"..string.format("%i",alt), XXLSIZE + TEXT_COLOR)
	lcd.setColor(TEXT_COLOR, widget.options.value_color)
	lcd.drawText(widget.zone.x + 100 , widget.zone.y +115, ":"..string.format("%i",AltMax),DBLSIZE + TEXT_COLOR)
	lcd.drawText(widget.zone.x +100, widget.zone.y + 140,":"..string.format ("%3.1f",SpeedMax), DBLSIZE + TEXT_COLOR) 

	
  
  
 
   -----------------------------------------------------------------------------------
   lcd.setColor(TEXT_COLOR,BLACK)
   local visu = getValue('sh')   -------------------------SH
   local vario = widget.options.switch_affichage
    if visu > 10 then 
	lcd.drawSource(widget.zone.x -10 ,widget.zone.y -1,vario  ,SMLSIZE) 
	
    end
	----------------------------------------------------------------------------------------
  end
end

--- Size is 192x152 1/2
local function refreshZoneLarge(widget)
   local value = getArmedStatus(widget)
  
   updatecourbe(widget)

width = 390
height = 170
 


if value > - 100 then
---------------------------------------------------------------------------zone graph
  drawGraphealt(Context ,widget) 
  drawGraphespeed(Context ,widget) 
 
   
	end
 
 if  value < -100 then 
 ---------------------------------------------------------------------------zone text
  
 
   local alt = oldAlt
    
	if   alt > AltMax  then AltMax = alt end
	local reset = getValue('ls59')
   	if reset > 100 then 
	SpeedMax = 0 
	AltMax = 0
	end
	if AltMax > 5000 then AltMax = 0 end
   ----------------------------------------------
   

  
  
      
	lcd.drawBitmap(Bitmaps40[0], widget.zone.x,widget.zone.y +1)
	
	
	
 
	   
	   lcd.setColor(TEXT_COLOR, widget.options.TextColor)
	
	  
	lcd.drawText(widget.zone.x +300, widget.zone.y +  145, "UNIT", DBLSIZE + TEXT_COLOR)
	lcd.drawText(widget.zone.x + 75, widget.zone.y + 65, "SPEED", DBLSIZE + TEXT_COLOR) 
	lcd.drawText(widget.zone.x + 60, widget.zone.y - 10, "ALT", XXLSIZE + TEXT_COLOR)
	lcd.drawText(widget.zone.x + 40 , widget.zone.y + 105, "ALT MAX  ", DBLSIZE + TEXT_COLOR)
    lcd.drawText(widget.zone.x -  0, widget.zone.y + 145, "SPEED MAX  ", DBLSIZE + TEXT_COLOR) 
	lcd.drawText(widget.zone.x + 320, widget.zone.y - 10, "m" , XXLSIZE + TEXT_COLOR)
	lcd.drawText(widget.zone.x + 260 , widget.zone.y + 65, "km/h" , DBLSIZE + TEXT_COLOR)
	
	if alt < -20 then  lcd.setColor(TEXT_COLOR, RED)
	elseif alt > 50 then lcd.setColor(TEXT_COLOR, YELLOW)
	else lcd.setColor(TEXT_COLOR, widget.options.value_color)
	end
	
   	lcd.drawText(widget.zone.x + 180, widget.zone.y -10, ":"..string.format("%i",alt), XXLSIZE + TEXT_COLOR)
	lcd.drawText(widget.zone.x + 180, widget.zone.y + 70, ":"..string.format ("%3.1f",speed), DBLSIZE + TEXT_COLOR) 
	
	lcd.setColor(TEXT_COLOR, widget.options.value_color)
	lcd.drawText(widget.zone.x + 180 , widget.zone.y +105, ":"..string.format("%i",AltMax),DBLSIZE + TEXT_COLOR)
	lcd.drawText(widget.zone.x +180, widget.zone.y + 145,":"..string.format ("%3.1f",SpeedMax), DBLSIZE + TEXT_COLOR) 

	
  
  
 
   -----------------------------------------------------------------------------------
   lcd.setColor(TEXT_COLOR,BLACK)
   local visu = getValue('sh')   -------------------------SH
   local vario = widget.options.switch_affichage
   if visu > 10 then 
	lcd.drawSource(widget.zone.x +300 ,widget.zone.y +120,vario  ,0) 
	end
	end
	----------------------------------------------------------------------------------------
  
end

--- Size is 390x172 1/1
--- Size is 460x252 1/1 (no sliders/trim/topbar)
local function refreshZoneXLarge(widget)

end


function refresh(widget)

calculspeed(widget)

if Bitmaps40[0] == nil then
    Bitmaps40[0] = Bitmap.open("/WIDGETS/altvit/vario.png")
	Bitmaps40[1] = Bitmap.open("/WIDGETS/altvit/son.png")
    end


  if (widget==nil) then
    print("refresh(nil)")
    return
  end

  if (widget.options==nil) then
    print("refresh(widget.options=nil)")
    return
  end

 
 
  if     widget.zone.w  > 380 and widget.zone.h > 165 then refreshZoneLarge(widget)  --xlarge
  elseif widget.zone.w  > 180 and widget.zone.h > 145 then refreshZoneMedium(widget)   --large
  elseif widget.zone.w  > 170 and widget.zone.h >  65 then                          -- medium
    if widget.options.XL_size == 1 then refreshZoneMedium(widget)
	else refreshZoneSmall(widget)
	end
  elseif widget.zone.w  > 150 and widget.zone.h >  28 then                 -- Small 
	if  widget.options.XL_size == 1 then refreshZoneMedium(widget)
	else refreshZoneSmall(widget)
	end
   elseif widget.zone.w  >  65 and widget.zone.h >  35 then refreshZoneTiny(widget)
  end
  collectgarbage()
end

 
 lcd.setColor(TEXT_COLOR,BLACK)
 lcd.setColor(CUSTOM_COLOR,BLACK)
 
collectgarbage()


return { name="altvit", options=options, create=create, update=update, background=background, refresh=refresh }
