---- #########################################################################
---- #                                                                       #
---- # train                     #
---- # edition du 25/11/20                                                   #
---- #                                                                       #
---- #########################################################################

----local LSarmt ='ls13'                 
-----local LSactif = 'ls11'                
local Bitmaps30 = {}
local Bitmaps40 = {}
local pos_train = 0  -- 0/inconnue 1/sorti -1/rentré
local pos_cde = 0    -- 1 max 0 centre -1 min
local last_pos = 0 	 -- 1 sort -1/ rentré
local changement = 0 -- valid un changement de position pour last_pos
local valid = 0		-- valid la last_pos du train


local options = {
  { "TextColor", COLOR, YELLOW },
  { "switch_cmd", SOURCE, 0},
  { "Invert", BOOL, 0},
  { "LSarmt", SOURCE, 0},                       --switch loquique pour  armement train   on = unlock
  { "LSactifcde", SOURCE, 0},                   --switch loquique pour  activation du bouton de cde ( passage par zero)
}

local function create(zone, options)
  local wgt  = { zone=zone, options=options}
   return wgt
end

local function update(wgt, options)
  if (wgt==nil) then
    print("update(nil)")
    return
  end
  wgt.options = options
end

local function background(wgt)
  return
end

------------------------------------------------------------

local function getArmedStatus(wgt)
   pos_cde = getValue(wgt.options.switch_cmd)

  if wgt.options.Invert == 1 then
    pos_cde = -pos_cde
  end

  if pos_cde < -900 then 
  pos_cde = -1
  elseif pos_cde > 900 then
  pos_cde = 1
  else
  pos_cde = 0
  end
  return pos_cde
  end
--**********************************************************************************************************
-- This size is for top bar wgts
local function refreshZoneTiny(wgt)
  pos_cde = getArmedStatus(wgt)
  local unlocked = getValue(wgt.options.LSarmt)                          -- armement train LS13  on =1024= unlock
  local actif = getValue(wgt.options.LSactifcde)                           -- train actif LS11 on = 1024
  local position  = getValue(wgt.options.switch_cmd)          -- position de la cde du train
  
  
    
 
  if Bitmaps30[0] == nil then
    Bitmaps30[0] = Bitmap.open("/WIDGETS/train/image0.png") -- train seul 
    Bitmaps30[1] = Bitmap.open("/WIDGETS/train/image1.png") -- train sorti
	Bitmaps30[-1] = Bitmap.open("/WIDGETS/train/image2.png") -- train rentré
  end
  
  if unlocked > -1 and actif > 1 and pos_cde ~= 0 then    ----valid la premiere position du train
		valid = 1
		last_pos = pos_cde
		pos_train = last_pos
  end
   
	  
  
	if actif > 1 and unlocked > -1 then 
		if  last_pos == 1 and pos_cde == -1 then 
			changement = 1
		end
				if  last_pos == -1 and pos_cde == 1 then 
			 changement = 1
				end
		 if changement == 1 then
		last_pos = pos_cde
		pos_train = last_pos
		end
		changement = 0
		---
	end
    
	if  unlocked < 0 then  -- le train est verrouillé
  		if pos_train == 0 then -- position inconnue 
		lcd.drawBitmap(Bitmaps30[0], wgt.zone.x + 15,wgt.zone.y )
		lcd.drawText(wgt.zone.x + 5, wgt.zone.y + 1, "LOCK", MIDSIZE + CUSTOM_COLOR)  
	   	else                   -- position connue
		lcd.drawBitmap(Bitmaps30[(last_pos)], wgt.zone.x + 15,wgt.zone.y )
		lcd.drawText(wgt.zone.x + 5,  wgt.zone.y + 1, "LOCK", MIDSIZE + CUSTOM_COLOR) 
		--lcd.drawBitmap(Bitmaps30[(last-pos)], wgt.zone.x + 10,wgt.zone.y ) -----------last position 
		end 
	end
	if  unlocked > -1 then  -- le train est déverrouillé
  		if pos_train == 0 then -- position inconnue 
		lcd.drawBitmap(Bitmaps30[0], wgt.zone.x + 10,wgt.zone.y )
		lcd.drawText(wgt.zone.x + 20, wgt.zone.y + 1, "?", DBLSIZE + CUSTOM_COLOR)  
	   	else                   -- position connue
  		lcd.drawBitmap(Bitmaps30[(last_pos)], wgt.zone.x + 10,wgt.zone.y ) -----------last position 
		end 
	end
	  -----------------------------------------------------------------------------------
   local visu = getValue('sh')   -------------------------SH
   local cmd = wgt.options.switch_cmd
    if visu > 10 then 
    lcd.setColor(TEXT_COLOR, WHITE)
	lcd.drawSource(wgt.zone.x +55 ,wgt.zone.y -1,cmd  ,SMLSIZE + TEXT_COLOR) 
	end
	lcd.setColor(TEXT_COLOR, BLACK) 
	----------------------------------------------------------------------------------------
	lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor)
 end
--**********************************************************************************************************

 --**********************************************************************************************************

--- Size is 160x32 1/8th
local function refreshZoneSmall(wgt)
  local status = getArmedStatus(wgt)
  local unlocked = getValue(wgt.options.LSarmt)                    -- armement train LS13  on =1024= unlock      
  local actif = getValue(wgt.options.LSactifcde)                      -- train actif LS11 on = 1024
  local position  = getValue(wgt.options.switch_cmd)          -- position de la cde du train
  
    
  if Bitmaps40[0] == nil then
    Bitmaps40[0] = Bitmap.open("/WIDGETS/train/image0.91.150.png") -- train seul 
    Bitmaps40[1] = Bitmap.open("/WIDGETS/train/image1.91.150.png") -- train sorti
	Bitmaps40[-1] = Bitmap.open("/WIDGETS/train/image2.91.150.png") -- train rentré
  end
  --lcd.drawBitmap(Bitmaps40[0], wgt.zone.x   ,wgt.zone.y   )--------------
   if unlocked > -1 and actif > 1 and pos_cde ~= 0 then    ----valid la premiere position du train
		valid = 1
		last_pos = pos_cde
		pos_train = last_pos
  end
     
	if actif > 1 and unlocked > -1 then 
		if  last_pos == 1 and pos_cde == -1 then 
			changement = 1
		end
		  --lcd.drawText(wgt.zone.x + 0, wgt.zone.y + 10, "             mid last1"..last_pos, 0 + CUSTOM_COLOR)----
		if  last_pos == -1 and pos_cde == 1 then 
			 changement = 1
			-- lcd.drawText(wgt.zone.x + 0, wgt.zone.y + 10, "              chang  ds boucle "..changement, 0 + CUSTOM_COLOR)---------
		end
		 --- lcd.drawText(wgt.zone.x + 0, wgt.zone.y + 10, "               chang "..changement, 0 + CUSTOM_COLOR)---------
		if changement == 1 then
		last_pos = pos_cde
		pos_train = last_pos
		end
		changement = 0
		---
	end

   
	if  unlocked < 0 then  -- le train est verrouillé
  		if pos_train == 0 then -- position inconnue 
		lcd.drawBitmap(Bitmaps40[0], wgt.zone.x + 5,wgt.zone.y )
		lcd.drawText(wgt.zone.x + 5, wgt.zone.y + 30 , "LOCK", DBLSIZE + CUSTOM_COLOR)  
	   	else                   -- position connue
		lcd.drawBitmap(Bitmaps40[(last_pos)], wgt.zone.x + 5,wgt.zone.y )
		lcd.drawText(wgt.zone.x + 5,  wgt.zone.y + 30, "LOCK", DBLSIZE + CUSTOM_COLOR) 
		end 
	end
	if  unlocked > -1 then  -- le train est déverrouillé
	   	if pos_train == 0 then -- position inconnue 
		lcd.drawBitmap(Bitmaps40[0], wgt.zone.x + 5,wgt.zone.y )
		lcd.drawText(wgt.zone.x + 30, wgt.zone.y + 30, "?", DBLSIZE + CUSTOM_COLOR)  
	   	else                   -- position connue
	  	lcd.drawBitmap(Bitmaps40[(last_pos)], wgt.zone.x + 5,wgt.zone.y ) -----------last position 
		end 
	end
	  -----------------------------------------------------------------------------------
   local visu = getValue('sh')   -------------------------SH
   local cmd = wgt.options.switch_cmd
   if visu > 10 then 
	lcd.drawSource(wgt.zone.x +10 ,wgt.zone.y +60,cmd  ,0) 
	end
	----------------------------------------------------------------------------------------
	lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor)
end
  
 --**********************************************************************************************************


--- Size is 225x98 1/4th  (no sliders/trim)
local function refreshZoneMedium(wgt)
  
end
--**********************************************************************************************************
--- Size is 192x152 1/2
local function refreshZoneLarge(wgt)

end

--- Size is 390x172 1/1
--- Size is 460x252 1/1 (no sliders/trim/topbar)
local function refreshZoneXLarge(wgt)

end


function refresh(wgt)

  if (wgt==nil) then
    print("refresh(nil)")
    return
  end

  if (wgt.options==nil) then
    print("refresh(wgt.options=nil)")
    return
  end

   lcd.setColor(TEXT_COLOR, wgt.options.TextColor) 
    lcd.setColor(CUSTOM_COLOR, wgt.options.TextColor)

  if     wgt.zone.w  > 380 and wgt.zone.h > 165 then refreshZoneSmall(wgt)
  elseif wgt.zone.w  > 180 and wgt.zone.h > 145 then refreshZoneSmall(wgt)
  elseif wgt.zone.w  > 170 and wgt.zone.h >  65 then refreshZoneSmall(wgt)
  elseif wgt.zone.w  > 150 and wgt.zone.h >  28 then refreshZoneSmall(wgt)
  elseif wgt.zone.w  >  65 and wgt.zone.h >  35 then refreshZoneTiny(wgt)
  end
  lcd.setColor(CUSTOM_COLOR, BLACK)
  lcd.setColor(TEXT_COLOR, BLACK)
end
  

return { name="train", options=options, create=create, update=update, background=background, refresh=refresh }
